3.5. Ottenere aiuto
Indietro | Capitolo 3. Iniziamo | Avanti

## 3.5. Ottenere aiuto

Il manuale di Unix, usualmente chiamato man page (pagine man), è disponibile per spiegare l'uso del sistema Unix e dei suoi comandi. Per servirsi di una pagina man digitare il comando man(1) al prompt di sistema seguito dal comando di cui si necessitano informazioni.

Sintassi

`man [`opzioni`] `nome_comando``

Opzioni generali

`-k `parola_chiave`` | mostra alcune linee riassuntive dei comandi contenenti la parola chiave richiesta
`-M `path`` | percorso per le pagine man
`-a` | mostra tutte le pagine man trovate (SVR4)

Esempi:

Si può usare man(1) per ottenere una linea riassuntiva di alcuni comandi che contengono la parola che si vuole ricercare con l'opzione `-k`, ad esempio per cercare la parola password, si digita:

`%` `man -k password` passwd (5) - password file passwd (1) - cambia la password

Il numero in parentesi indica la sezione delle pagine man dove sono stati trovati i riferimenti. Si può accedere a quella pagina man (di default si fa riferimento al numero di sezione più basso, ma si può usare un'opzione su linea di comando per specificarne uno differente) con:

`%` `man passwd` PASSWD(1) USER COMMANDS PASSWD(1) NOME passwd - cambia password SINTASSI passwd [ -e login_shell ] [ username ] DESCRIZIONE passwd cambia (o setta) la password di un utente. passwd chiede per due volte la nuova password, senza mostrarla. Questo per prendere in considerazione la possibilità di digitare errori. Solamente l'utente stesso e il super-user possono cambiare la password di un utente. OPZIONI -e Cambia la shell di login dell'utente.

Qui l'output è stato parafrasato e troncato per una questione di spazio e di copyright.

Indietro | Risali | Avanti
3.4. stty - controllo del terminale | Partenza | 3.6. Navigazione e controllo delle directory

Questo, ed altri documenti, possono essere scaricati da ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/

Per domande su FreeBSD, leggi la documentazione prima di contattare <questions@FreeBSD.org>.
Per domande su questa documentazione, invia una e-mail a <doc@FreeBSD.org>.